%define	name		mm
%define	version		1.1.3
%define release		2

Summary:	Shared Memory Abstraction Library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	BSD-style, OpenSource
Group:		Libraries
Vendor:		Ralf S. Engelschall <rse@engelschall.com>
Packager:	Edward S. Marshall <emarshal@logic.net>
Url:		http://www.engelschall.com/sw/mm/

Source:		http://www.engelschall.com/sw/mm/mm-%{version}.tar.gz
Patch0:		mm-1.1.3-install.patch
Patch1:		shtool.patch

BuildRoot:	%{_tmppath}/%{name}-root
Prefix:		%{_prefix}

%package devel
Group: Development/Libraries
Summary: Development files for mm library.
Requires: mm = %{version}

%description
The MM library is a 2-layer abstraction library which simplifies the usage of
shared memory between forked (and this way strongly related) processes under
Unix platforms. On the first layer it hides all platform dependent
implementation details (allocation and locking) when dealing with shared
memory segments and on the second layer it provides a high-level malloc(3)-
style API for a convenient and well known way to work with data-structures
inside those shared memory segments.

The library is released under the term of an open-source (BSD-style) license
because it's originally written for a proposed use inside next versions of
the Apache webserver as a base library for providing shared memory pools to
Apache modules (because currently Apache modules can only use heap-allocated
memory which isn't shared accross the pre-forked server processes). The
requirement actually comes from comprehensive modules like mod_ssl, mod_perl
and mod_php which would benefit a lot from easy to use shared memory pools.
Mostly all functionality (except for shared locks in addition to exclusive
locks and multi-segment memory areas instead of single-segment memory areas)
is already implemented and the library already works fine under FreeBSD,
Linux and Solaris and should also adjust itself for most other Unix platforms
with it's GNU Autoconf and GNU Libtool based configuration and compilation
procedure. 

%description devel
The MM library is a 2-layer abstraction library which simplifies the usage of
shared memory between forked (and this way strongly related) processes under
Unix platforms. On the first layer it hides all platform dependent
implementation details (allocation and locking) when dealing with shared
memory segments and on the second layer it provides a high-level malloc(3)-
style API for a convenient and well known way to work with data-structures
inside those shared memory segments.

This package contain files that are needed to develop applications which use
the MM shared memory library.

%prep
%setup
%patch0 -p1
%patch1

%build
# XXX %%configure does not work but following is OK ... strange
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --mandir=/usr/share/man
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
chmod -v 755 $RPM_BUILD_ROOT%{_prefix}/lib/libmm.so.*.*.*

%post
ldconfig

%postun
ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE ChangeLog INSTALL PORTING THANKS
%{_libdir}/libmm.so.*
%{_mandir}/man3/mm.3*

%files devel
%defattr(-,root,root)
%doc README LICENSE ChangeLog INSTALL PORTING THANKS
%{_bindir}/mm-config
%{_includedir}/mm.h
%{_libdir}/libmm.a
%{_libdir}/libmm.la
%{_mandir}/man1/mm-config.1*

%changelog
* Thu Sep 21 2000 Peter Hanecak <hanecak@megaloman.sk>
- 'rm -rf $RPM_BUILD_ROOT' moved to %%install
- cosmetic spec changes
- removed explicit 'provides mm'
- use %%{_prefix}, %%configure, %%{_bindir}, %%{_includedir} and %%{_mandir}
- mm-1.1.3-install.patch
- incorporated package split into mm and mm-devel by
  Henri Gomez <hgomez@slib.fr>
- shtool patch to generate good libso name by Henri Gomez <hgomez@slib.fr>

* Tue Jul 18 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.1.3
- %%{_tmppath} used
- don't use %%files -f - there are not that many files
- %%{prefix} used

* Fri May 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.1.2
- added URL to spec
- %doc slightly changed

* Wed Feb  9 2000 Peter Hanecak <hanecak@megaloman.sk>
- build root changed from '/tmp/...' to '/var/tmp/...'
- added vendor
- RPM_OPT_FLAGS passed to CFLAGS

* Sat Jan 22 2000 Edward S. Marshall <emarshal@logic.net>
- updated for mm 1.0.12

* Tue Sep 7 1999 Nicolai Schleifer <ns@dom.de>
- using buildroot feature
- using -f feature of the files macro
- started from scratch
